Bug 697350 - plasma cpu monitor applet consumes 100% CPU
Summary: plasma cpu monitor applet consumes 100% CPU
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 710918 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-18 01:05 UTC by Garry T. Williams
Modified: 2012-08-07 18:58 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:58:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 273214 None None None Never

Description Garry T. Williams 2011-04-18 01:05:59 UTC
Description of problem:

plasma-desktop is using 100% CPU sometimes.  The system is sluggish at this point, too.  The work-around I found is to kill ksysguardd and all is back to normal.

I don't know what triggers the problem.  It may be xscreensaver since I observe the problem after being away from the system.


Version-Release number of selected component (if applicable):

kde 4.6.2 from kde-testing repository

Qt: 4.7.2
KDE Development Platform: 4.6.2 (4.6.2)
Plasma Desktop Shell: 0.4


How reproducible:

Sometimes.

Steps to Reproduce:
1.  Walk away for 15 minutes
2.  Unlock screen
3.  Maybe plasma-desktop is looping
  

Additional info:

Stack at time of problem:

(gdb) bt
#0  0x00007f553a1bb775 in KSGRD::SensorAgent::sendRequest(QString const&, KSGRD::SensorClient*, int) () from /usr/lib64/libksgrd.so.4
#1  0x00007f553a1c357a in KSGRD::SensorManager::sendRequest(QString const&, QString const&, KSGRD::SensorClient*, int) () from /usr/lib64/libksgrd.so.4
#2  0x00007f553a3ce832 in ?? ()
   from /usr/lib64/kde4/plasma_engine_systemmonitor.so
#3  0x00007f553a1bbff8 in KSGRD::SensorAgent::processAnswer(char const*, int)
    () from /usr/lib64/libksgrd.so.4
#4  0x00007f553a1c432e in ?? () from /usr/lib64/libksgrd.so.4
#5  0x00007f553a1c4b18 in ?? () from /usr/lib64/libksgrd.so.4
#6  0x000000356bf71acf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#7  0x000000356beff2fd in ?? () from /usr/lib64/libQtCore.so.4
#8  0x000000356beffad9 in QProcess::qt_metacall(QMetaObject::Call, int, void**)
    () from /usr/lib64/libQtCore.so.4
#9  0x000000356d11f248 in KProcess::qt_metacall(QMetaObject::Call, int, void**)
    () from /usr/lib64/libkdecore.so.5
#10 0x000000356bf71acf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#11 0x000000356bfba24e in QSocketNotifier::activated(int) ()
   from /usr/lib64/libQtCore.so.4
#12 0x000000356bf7814b in QSocketNotifier::event(QEvent*) ()
   from /usr/lib64/libQtCore.so.4
#13 0x000000356d7b7cd4 in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    () from /usr/lib64/libQtGui.so.4
#14 0x000000356d7bc88a in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib64/libQtGui.so.4
#15 0x000000356ee3ff96 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib64/libkdeui.so.5
#16 0x000000356bf5d19c in QCoreApplication::notifyInternal(QObject*, QEvent*)
    () from /usr/lib64/libQtCore.so.4
#17 0x000000356bf87d09 in ?? () from /usr/lib64/libQtCore.so.4
#18 0x0000003cdc441e33 in g_main_dispatch (context=0x1072520) at gmain.c:2149
#19 g_main_context_dispatch (context=0x1072520) at gmain.c:2702
#20 0x0000003cdc442610 in g_main_context_iterate (context=0x1072520, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2780
#21 0x0000003cdc4428ad in g_main_context_iteration (context=0x1072520, 
    may_block=1) at gmain.c:2843
#22 0x000000356bf8834f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#23 0x000000356d85d35e in ?? () from /usr/lib64/libQtGui.so.4
#24 0x000000356bf5c532 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#25 0x000000356bf5c77c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#26 0x000000356bf60c3b in QCoreApplication::exec() ()
   from /usr/lib64/libQtCore.so.4
#27 0x000000357503ed68 in kdemain ()
   from /usr/lib64/libkdeinit4_plasma-desktop.so
#28 0x0000003cd981ee5d in __libc_start_main (main=0x400990 <_start+256>, argc=
    1, ubp_av=0x7fffec5a74a8, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=
    0x7fffec5a7498) at libc-start.c:226
#29 0x00000000004008b9 in _start ()

Comment 1 Otso Helenius 2011-05-25 18:09:02 UTC
I'm having the same problem on Fedora 15 x86_64 (KDE 4.6.3). I didn't have this problem in F14, but now on a fresh F15 install it appears often after the system has been running for some hours.

plasma-desktop cpu usage bounces to 80-100% and desktop turns very sluggish even on a Core i7. The kdebase version is kdebase-workspace-4.6.3-5.fc15.x86_64.

I'll post a stack as well (or other info for debugging if requested) when the symptoms show up again.

Comment 2 Otso Helenius 2011-05-29 22:52:33 UTC
Here's my stack during the cpu hogging:

(gdb) bt
#0  0x0000003d096d7b03 in fts_close (sp=0x2002950) at fts.c:265
#1  0x00007fffb43df440 in ?? ()
#2  0x00000000ffffffff in ?? ()
#3  0x0000003d0c208b42 in _xcb_conn_wait (c=0x7234de17, cond=<optimized out>, vector=0xffffffff, count=0x1) at xcb_conn.c:313
#4  0x0000003d0c20a0ff in xcb_wait_for_reply (c=0x2002950, request=1916067351, e=0x0) at xcb_in.c:378
#5  0x0000003d0c20ae28 in xcb_generate_id (c=0x2002950) at xcb_xid.c:59
#6  0x0000003d0c645b5f in _XAllocIDs (dpy=0x1ffc3d0, ids=0x1ffd668, count=1) at xcb_io.c:486
#7  0x0000003d0c646d47 in _XPrivSyncFunction (dpy=0x1ffc3d0) at XlibInt.c:252
#8  0x0000003d0e204ed4 in XRenderCreatePicture (dpy=0x1ffc3d0, drawable=31917799, format=0x2007c50, valuemask=0, attributes=0x0) at Picture.c:99
#9  0x0000003d1749e1d5 in QX11PixmapData::fromImage (this=0x539ba70, img=<optimized out>, flags=...) at image/qpixmap_x11.cpp:526
#10 0x0000003d1748990f in QPixmap::fromImage (image=..., flags=...) at image/qpixmap.cpp:2059
#11 0x0000003d174e3b8f in QPaintEngine::drawImage (this=0x3588f00, r=..., image=..., sr=<optimized out>, flags=...) at painting/qpaintengine.cpp:623
#12 0x0000003d175ab162 in QX11PaintEngine::drawImage (this=0x3588f00, r=..., image=..., sr=..., flags=...) at painting/qpaintengine_x11.cpp:1903
#13 0x0000003d174f89cc in QPainterPrivate::draw_helper (this=0x51f6680, originalPath=..., op=<optimized out>) at painting/qpainter.cpp:497
#14 0x00000035f42023c2 in Plasma::SignalPlotter::drawPlots (this=0x2c1f5e0, p=0x7fffb43e4f50, top=<optimized out>, w=249, h=<optimized out>, horizontalScale=1)
    at /usr/src/debug/kdelibs-4.6.3/plasma/widgets/signalplotter.cpp:1011
#15 0x00000035f4202ada in Plasma::SignalPlotter::drawWidget (this=0x2c1f5e0, p=0x7fffb43e4f50, w=249, height=28, horizontalScale=1) at /usr/src/debug/kdelibs-4.6.3/plasma/widgets/signalplotter.cpp:691
#16 0x0000003d1799117d in _q_paintItem (item=<optimized out>, painter=0x7fffb43e4f50, option=0x1ffb488, widget=0x2d8f0e0, useWindowOpacity=<optimized out>, painterStateProtection=true)
    at graphicsview/qgraphicsscene.cpp:4314
#17 0x0000003d179a8274 in QGraphicsScenePrivate::drawItemHelper (this=0x1ffb260, item=0x2c1f5f0, painter=0x7fffb43e4f50, option=0x1ffb488, widget=0x2d8f0e0, painterStateProtection=true)
    at graphicsview/qgraphicsscene.cpp:4427
#18 0x0000003d179aa83d in QGraphicsScenePrivate::draw (this=0x1ffb260, item=0x2c1f5f0, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, transformPtr=0x7fffb43e3520, exposedRegion=0x2d8a910, widget=
    0x2d8f0e0, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4962
#19 0x0000003d179ab605 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x1ffb260, item=0x2c1f5f0, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, exposedRegion=0x2d8a910, widget=0x2d8f0e0,
    parentOpacity=<optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#20 0x0000003d179aa8f0 in QGraphicsScenePrivate::draw (this=0x1ffb260, item=0x2b1ea00, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, transformPtr=0x7fffb43e3b10, exposedRegion=0x2d8a910, widget=
    0x2d8f0e0, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#21 0x0000003d179ab605 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x1ffb260, item=0x2b1ea00, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, exposedRegion=0x2d8a910, widget=0x2d8f0e0,
    parentOpacity=<optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#22 0x0000003d179aa8f0 in QGraphicsScenePrivate::draw (this=0x1ffb260, item=0x258f6d0, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, transformPtr=0x7fffb43e4100, exposedRegion=0x2d8a910, widget=
    0x2d8f0e0, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#23 0x0000003d179ab605 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x1ffb260, item=0x258f6d0, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, exposedRegion=0x2d8a910, widget=0x2d8f0e0,
    parentOpacity=<optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#24 0x0000003d179aa8f0 in QGraphicsScenePrivate::draw (this=0x1ffb260, item=0x243db20, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, transformPtr=0x7fffb43e46f0, exposedRegion=0x2d8a910, widget=
    0x2d8f0e0, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#25 0x0000003d179ab605 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x1ffb260, item=0x243db20, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, exposedRegion=0x2d8a910, widget=0x2d8f0e0,
    parentOpacity=<optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#26 0x0000003d179abe21 in QGraphicsScenePrivate::drawItems (this=0x1ffb260, painter=0x7fffb43e4f50, viewTransform=0x7fffb43e4c20, exposedRegion=0x2d8a910, widget=0x2d8f0e0) at graphicsview/qgraphicsscene.cpp:4735
#27 0x0000003d179c4aa0 in QGraphicsView::paintEvent (this=0x2dd9b00, event=<optimized out>) at graphicsview/qgraphicsview.cpp:3469
#28 0x0000003d17407a46 in QWidget::event (this=0x2dd9b00, event=0x7fffb43e58f0) at kernel/qwidget.cpp:8405
#29 0x0000003d177a4cb6 in QFrame::event (this=0x2dd9b00, e=0x7fffb43e58f0) at widgets/qframe.cpp:557
#30 0x0000003d179c5e2b in QGraphicsView::viewportEvent (this=0x2dd9b00, event=0x7fffb43e58f0) at graphicsview/qgraphicsview.cpp:2864
#31 0x0000003d13f5a348 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x2d8f0e0, event=0x7fffb43e58f0) at kernel/qcoreapplication.cpp:846
#32 0x0000003d173b739f in notify_helper (e=0x7fffb43e58f0, receiver=0x2d8f0e0, this=0x1ff7f00) at kernel/qapplication.cpp:4458
#33 QApplicationPrivate::notify_helper (this=0x1ff7f00, receiver=0x2d8f0e0, e=0x7fffb43e58f0) at kernel/qapplication.cpp:4434
#34 0x0000003d173bc261 in QApplication::notify (this=0x1fe13f0, receiver=0x2d8f0e0, e=0x7fffb43e58f0) at kernel/qapplication.cpp:4341
#35 0x00000035f0641806 in KApplication::notify (this=0x1fe13f0, receiver=0x2d8f0e0, event=0x7fffb43e58f0) at /usr/src/debug/kdelibs-4.6.3/kdeui/kernel/kapplication.cpp:311
#36 0x0000003d13f5a1bc in QCoreApplication::notifyInternal (this=0x1fe13f0, receiver=0x2d8f0e0, event=0x7fffb43e58f0) at kernel/qcoreapplication.cpp:731
#37 0x0000003d17404960 in sendSpontaneousEvent (event=0x7fffb43e58f0, receiver=0x2d8f0e0) at ../../src/corelib/kernel/qcoreapplication.h:218
#38 QWidgetPrivate::drawWidget (this=0x2decdc0, pdev=0x2d8aa18, rgn=..., offset=..., flags=68, sharedPainter=0x0, backingStore=0x3150580) at kernel/qwidget.cpp:5492
#39 0x0000003d175c07a4 in QWidgetBackingStore::sync (this=0x3150580) at painting/qbackingstore.cpp:1325
#40 0x0000003d173fac90 in QWidgetPrivate::syncBackingStore (this=0x2d8a480) at kernel/qwidget.cpp:1842
#41 0x0000003d17407f5c in QWidget::event (this=0x2dd9b00, event=0x4ff6b50) at kernel/qwidget.cpp:8552
#42 0x0000003d177a4cb6 in QFrame::event (this=0x2dd9b00, e=0x4ff6b50) at widgets/qframe.cpp:557
#43 0x0000003d17826063 in QAbstractScrollArea::event (this=0x2dd9b00, e=0x4ff6b50) at widgets/qabstractscrollarea.cpp:996
#44 0x0000003d173b73d4 in notify_helper (e=0x4ff6b50, receiver=0x2dd9b00, this=0x1ff7f00) at kernel/qapplication.cpp:4462
#45 QApplicationPrivate::notify_helper (this=0x1ff7f00, receiver=0x2dd9b00, e=0x4ff6b50) at kernel/qapplication.cpp:4434
#46 0x0000003d173bc261 in QApplication::notify (this=0x1fe13f0, receiver=0x2dd9b00, e=0x4ff6b50) at kernel/qapplication.cpp:4341
#47 0x00000035f0641806 in KApplication::notify (this=0x1fe13f0, receiver=0x2dd9b00, event=0x4ff6b50) at /usr/src/debug/kdelibs-4.6.3/kdeui/kernel/kapplication.cpp:311
#48 0x0000003d13f5a1bc in QCoreApplication::notifyInternal (this=0x1fe13f0, receiver=0x2dd9b00, event=0x4ff6b50) at kernel/qcoreapplication.cpp:731
#49 0x0000003d13f5d784 in sendEvent (event=0x4ff6b50, receiver=0x2dd9b00) at kernel/qcoreapplication.h:215
#50 QCoreApplicationPrivate::sendPostedEvents (receiver=0x2dd9b00, event_type=77, data=0x1f8bcd0) at kernel/qcoreapplication.cpp:1372
#51 0x0000003d179a0cda in dispatchPendingUpdateRequests (this=0x2d8a480) at ../../src/gui/graphicsview/qgraphicsview_p.h:189
#52 QGraphicsScenePrivate::_q_processDirtyItems (this=0x1ffb260) at graphicsview/qgraphicsscene.cpp:510
#53 0x0000003d179a10fa in QGraphicsScene::qt_metacall (this=0x20f0dc0, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x2b118d0) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#54 0x00000035f41359a5 in Plasma::Corona::qt_metacall (this=0x20f0dc0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x2b118d0) at /usr/src/debug/kdelibs-4.6.3/x86_64-redhat-linux-gnu/plasma/corona.mo$
#55 0x00000035f4e38775 in DesktopCorona::qt_metacall (this=0x20f0dc0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x2b118d0) at /usr/src/debug/kdebase-workspace-4.6.3/x86_64-redhat-linux-gnu/plasma/$
#56 0x0000003d13f70a8a in QObject::event (this=0x20f0dc0, e=<optimized out>) at kernel/qobject.cpp:1217
#57 0x0000003d179a7989 in QGraphicsScene::event (this=0x20f0dc0, event=0x33edf30) at graphicsview/qgraphicsscene.cpp:3544
#58 0x0000003d173b73d4 in notify_helper (e=0x33edf30, receiver=0x20f0dc0, this=0x1ff7f00) at kernel/qapplication.cpp:4462
#59 QApplicationPrivate::notify_helper (this=0x1ff7f00, receiver=0x20f0dc0, e=0x33edf30) at kernel/qapplication.cpp:4434
#60 0x0000003d173bc261 in QApplication::notify (this=0x1fe13f0, receiver=0x20f0dc0, e=0x33edf30) at kernel/qapplication.cpp:4341
#61 0x00000035f0641806 in KApplication::notify (this=0x1fe13f0, receiver=0x20f0dc0, event=0x33edf30) at /usr/src/debug/kdelibs-4.6.3/kdeui/kernel/kapplication.cpp:311
#62 0x0000003d13f5a1bc in QCoreApplication::notifyInternal (this=0x1fe13f0, receiver=0x20f0dc0, event=0x33edf30) at kernel/qcoreapplication.cpp:731
#63 0x0000003d13f5d784 in sendEvent (event=0x33edf30, receiver=0x20f0dc0) at kernel/qcoreapplication.h:215
#64 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1f8bcd0) at kernel/qcoreapplication.cpp:1372
#65 0x0000003d13f848c3 in sendPostedEvents () at kernel/qcoreapplication.h:220
#66 postEventSourceDispatch (s=0x1ff59c0) at kernel/qeventdispatcher_glib.cpp:277
#67 0x0000003d09242b6d in g_main_dispatch (context=0x1ff58e0) at gmain.c:2440
#68 g_main_context_dispatch (context=0x1ff58e0) at gmain.c:3013
#69 0x0000003d09243348 in g_main_context_iterate (context=0x1ff58e0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3091
#70 0x0000003d092435dc in g_main_context_iteration (context=0x1ff58e0, may_block=1) at gmain.c:3154
#71 0x0000003d13f84d1f in QEventDispatcherGlib::processEvents (this=0x1f8d7e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#72 0x0000003d17459f2e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
#73 0x0000003d13f596d2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#74 0x0000003d13f598cf in QEventLoop::exec (this=0x7fffb43e73d0, flags=...) at kernel/qeventloop.cpp:201
#75 0x0000003d13f5da17 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#76 0x00000035f4e3f1e3 in kdemain (argc=2, argv=0x7fffb43e77b8) at /usr/src/debug/kdebase-workspace-4.6.3/plasma/desktop/shell/main.cpp:120
#77 0x0000003d0962143d in group_nodes_into_DFAstates (dests_ch=Cannot access memory at address 0xffffffffffffff08) at regexec.c:3601
#78 build_trtable (dfa=Cannot access memory at address 0xffffffffffffff00) at regexec.c:3366
Cannot access memory at address 0x8

Comment 3 Garry T. Williams 2011-06-20 12:29:22 UTC
It looks like 4.6.3 fixed this for me.

$ plasma-desktop --version
Qt: 4.7.2
KDE Development Platform: 4.6.3 (4.6.3)
Plasma Desktop Shell: 0.4
$

I cannot reproduce the problem any more.

Comment 4 wbiker 2011-06-28 04:59:59 UTC
Unfortunately, 4.6.3 did not fix it for me.

I have Fedora x86_64 15 installed in a VMWare. On this virtual machine the boinc client runs fine. But once a day I have to kill ksysguardd in order to get the system back to work. (Thanks a lot for the hint with ksysguardd)

My plasma-version is like yours:
->plasma-desktop --version
Qt: 4.7.2
KDE Development Platform: 4.6.3 (4.6.3)
Plasma Desktop Shell: 0.4

Comment 5 Otso Helenius 2011-06-28 10:00:15 UTC
My plasma-version output is the same as wbiker's. I can reproduce the bug now on two separate machines, both running F15 x86_64.

Comment 6 Rex Dieter 2011-06-29 16:32:18 UTC
Adjusting summary, seems to be the cpu_monitor dataengine/applet gone wrong somehow.

Comment 7 Rex Dieter 2011-06-29 16:33:05 UTC
*** Bug 710918 has been marked as a duplicate of this bug. ***

Comment 8 wbiker 2011-07-04 07:15:29 UTC
I can confirm Rex's last comment (6).
I removed the cpu monitor applet and my system is being running smoothly for three days.

Comment 9 gene c 2011-07-05 21:07:34 UTC
I have this with no cpu monitor running. 

I have a terminal icon on panel - and a second panel with browser and mail start applications.

There is a desktop folder  - but otherwise no other widgets at all.

I have several terminals running, mail and a browser:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                             
 1918 gene      20   0 1011m  64m  34m R 81.8  0.5 165:23.84 plasma-desktop                                      


$ rpm -q kdebase
kdebase-4.6.3-1.fc15.x86_64

 gene

Comment 10 Martin Kho 2011-07-05 21:49:47 UTC
Hi,

I had the same issue. ksysguardd got mad (cpu_monitor/temp_monitor). I found out that the culprit - in my case - was the sandbox service. In a fresh F15 install it's started in runlevel 5. Disabling sandbox (chkconfig --level 5 sandbox off) solved my issue.

Hope this can help.

Martin Kho

Comment 11 blue_t_fox 2011-07-06 14:32:35 UTC
I can confirm the same behavior. In both the CPU and hardware monitors the usage for both will alternate between 0 and the real value very quickly, and that plasma-desktop's CPU usage will increase until you have to log out to "reset" it.

Comment 12 niklas.laxstrom+bro@gmail.com 2011-07-16 07:41:46 UTC
Same here, and I don't have CPU monitor applet either. It has now happened multiple times during the last few days.

Comment 13 Alan Ernhart 2011-07-31 13:27:05 UTC
Thanks, Martin. I had been experiencing this also, running latest KDE from the "release" and "updates" repos of F15 - no Testing or Rawhide. I have the CPU Monitor plasmoid running in the system tray. This monitor is v1.0 that comes with KDE.

After about a day of use (I forget whether it only occurred after suspend/resume or not), plasma-desktop would start to consume nearly all the CPU on of my two cores until I logged out and in again. This was consistent day after day.

After turning off sandbox on all runlevels, the symptoms are gone. I've not been making other changes that I think may account for this, so I consider your advise to be spot-on. Thanks!

Alan

# chkconfig sandbox off

Comment 14 Marek Zukal 2011-11-03 11:35:23 UTC
Same here. Not just with CPU monitor applet but every plasma applet that tries to animate or redraw periodically. The same thing happens with RememberTheMilk applet when it is not connected and spins the "wheel of progress". 

kdebase-4.7.2-2.fc15.x86_64

Comment 15 Fedora End Of Life 2012-08-07 18:58:57 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.